CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | List of all members
CGTKLabel Class Reference
Inheritance diagram for CGTKLabel:
[legend]
Collaboration diagram for CGTKLabel:
[legend]

## Instance Methods
(id) | - init:
(id) | - initWithMnemonic:
(GtkLabel *) | - LABEL
(gdouble) | - getAngle
(PangoAttrList *) | - getAttributes
(NSString *) | - getCurrentUri
(PangoEllipsizeMode) | - getEllipsize
(GtkJustification) | - getJustify
(NSString *) | - getLabel
(PangoLayout *) | - getLayout
(void) | - getLayoutOffsetsWithX:andY:
(BOOL) | - getLineWrap
(PangoWrapMode) | - getLineWrapMode
(gint) | - getLines
(gint) | - getMaxWidthChars
(guint) | - getMnemonicKeyval
(CGTKWidget *) | - getMnemonicWidget
(BOOL) | - getSelectable
(BOOL) | - getSelectionBoundsWithStart:andEnd:
(BOOL) | - getSingleLineMode
(NSString *) | - getText
(BOOL) | - getTrackVisitedLinks
(BOOL) | - getUseMarkup
(BOOL) | - getUseUnderline
(gint) | - getWidthChars
(gfloat) | - getXalign
(gfloat) | - getYalign
(void) | - selectRegionWithStartOffset:andEndOffset:
(void) | - setAngle:
(void) | - setAttributes:
(void) | - setEllipsize:
(void) | - setJustify:
(void) | - setLabel:
(void) | - setLineWrap:
(void) | - setLineWrapMode:
(void) | - setLines:
(void) | - setMarkup:
(void) | - setMarkupWithMnemonic:
(void) | - setMaxWidthChars:
(void) | - setMnemonicWidget:
(void) | - setPattern:
(void) | - setSelectable:
(void) | - setSingleLineMode:
(void) | - setText:
(void) | - setTextWithMnemonic:
(void) | - setTrackVisitedLinks:
(void) | - setUseMarkup:
(void) | - setUseUnderline:
(void) | - setWidthChars:
(void) | - setXalign:
(void) | - setYalign:
Instance Methods inherited from CGTKMisc
(GtkMisc *) | - MISC
(void) | - getAlignmentWithXalign:andYalign:
(void) | - getPaddingWithXpad:andYpad:
(void) | - setAlignmentWithXalign:andYalign:
(void) | - setPaddingWithXpad:andYpad:
Instance Methods inherited from CGTKWidget
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(void) | - getAllocatedSizeWithAllocation:andBaseline:
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(BOOL) | - getFocusOnClick
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(double) | - getOpacity
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(GdkScreen *) | - getScreen
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueAllocate
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFocusOnClick:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKWidget
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKLabel.h.

## Method Documentation

## ◆ getAngle()

- (gdouble) getAngle |  |  |

-(gdouble*)getAngle;

Returns
  gdouble

Definition at line 65 of file CGTKLabel.m.

## ◆ getAttributes()

- (PangoAttrList *) getAttributes |  |  |

-(PangoAttrList**)getAttributes;

Returns
  PangoAttrList*

Definition at line 70 of file CGTKLabel.m.

## ◆ getCurrentUri()

- (NSString *) getCurrentUri |  |  |

-(NSString**)getCurrentUri;

Returns
  NSString*

Definition at line 75 of file CGTKLabel.m.

## ◆ getEllipsize()

- (PangoEllipsizeMode) getEllipsize |  |  |

-(PangoEllipsizeMode*)getEllipsize;

Returns
  PangoEllipsizeMode

Definition at line 80 of file CGTKLabel.m.

## ◆ getJustify()

- (GtkJustification) getJustify |  |  |

-(GtkJustification*)getJustify;

Returns
  GtkJustification

Definition at line 85 of file CGTKLabel.m.

## ◆ getLabel()

- (NSString *) getLabel |  |  |

-(NSString**)getLabel;

Returns
  NSString*

Definition at line 90 of file CGTKLabel.m.

## ◆ getLayout()

- (PangoLayout *) getLayout |  |  |

-(PangoLayout**)getLayout;

Returns
  PangoLayout*

Definition at line 95 of file CGTKLabel.m.

## ◆ getLayoutOffsetsWithX:andY:()

- (void) getLayoutOffsetsWithX: |  | (gint*) | x
andY: |  | (gint*) | y

-(void*)getLayoutOffsetsWithX:(gint*) x andY:(gint*) y;

Parameters

  x |
  y |

Definition at line 100 of file CGTKLabel.m.

## ◆ getLines()

- (gint) getLines |  |  |

-(gint*)getLines;

Returns
  gint

Definition at line 115 of file CGTKLabel.m.

## ◆ getLineWrap()

- (BOOL) getLineWrap |  |  |

-(BOOL*)getLineWrap;

Returns
  BOOL

Definition at line 105 of file CGTKLabel.m.

## ◆ getLineWrapMode()

- (PangoWrapMode) getLineWrapMode |  |  |

-(PangoWrapMode*)getLineWrapMode;

Returns
  PangoWrapMode

Definition at line 110 of file CGTKLabel.m.

## ◆ getMaxWidthChars()

- (gint) getMaxWidthChars |  |  |

-(gint*)getMaxWidthChars;

Returns
  gint

Definition at line 120 of file CGTKLabel.m.

## ◆ getMnemonicKeyval()

- (guint) getMnemonicKeyval |  |  |

-(guint*)getMnemonicKeyval;

Returns
  guint

Definition at line 125 of file CGTKLabel.m.

## ◆ getMnemonicWidget()

- (CGTKWidget *) getMnemonicWidget |  |  |

-(CGTKWidget**)getMnemonicWidget;

Returns
  CGTKWidget*

Definition at line 130 of file CGTKLabel.m.

## ◆ getSelectable()

- (BOOL) getSelectable |  |  |

-(BOOL*)getSelectable;

Returns
  BOOL

Definition at line 135 of file CGTKLabel.m.

## ◆ getSelectionBoundsWithStart:andEnd:()

- (BOOL) getSelectionBoundsWithStart: |  | (gint*) | start
andEnd: |  | (gint*) | end

-(BOOL*)getSelectionBoundsWithStart:(gint*) start andEnd:(gint*) end;

Parameters

  start |
  end |

Returns
  BOOL

Definition at line 140 of file CGTKLabel.m.

## ◆ getSingleLineMode()

- (BOOL) getSingleLineMode |  |  |

-(BOOL*)getSingleLineMode;

Returns
  BOOL

Definition at line 145 of file CGTKLabel.m.

## ◆ getText()

- (NSString *) getText |  |  |

-(NSString**)getText;

Returns
  NSString*

Definition at line 150 of file CGTKLabel.m.

## ◆ getTrackVisitedLinks()

- (BOOL) getTrackVisitedLinks |  |  |

-(BOOL*)getTrackVisitedLinks;

Returns
  BOOL

Definition at line 155 of file CGTKLabel.m.

## ◆ getUseMarkup()

- (BOOL) getUseMarkup |  |  |

-(BOOL*)getUseMarkup;

Returns
  BOOL

Definition at line 160 of file CGTKLabel.m.

## ◆ getUseUnderline()

- (BOOL) getUseUnderline |  |  |

-(BOOL*)getUseUnderline;

Returns
  BOOL

Definition at line 165 of file CGTKLabel.m.

## ◆ getWidthChars()

- (gint) getWidthChars |  |  |

-(gint*)getWidthChars;

Returns
  gint

Definition at line 170 of file CGTKLabel.m.

## ◆ getXalign()

- (gfloat) getXalign |  |  |

-(gfloat*)getXalign;

Returns
  gfloat

Definition at line 175 of file CGTKLabel.m.

## ◆ getYalign()

- (gfloat) getYalign |  |  |

-(gfloat*)getYalign;

Returns
  gfloat

Definition at line 180 of file CGTKLabel.m.

## ◆ init:()

- (id) init: |  | (NSString*) | str |

Constructors

Reimplemented in CGTKAccelLabel.

Definition at line 36 of file CGTKLabel.m.

## ◆ LABEL()

- (GtkLabel *) LABEL |  |  |

Methods

Definition at line 60 of file CGTKLabel.m.

## ◆ selectRegionWithStartOffset:andEndOffset:()

- (void) selectRegionWithStartOffset: |  | (gint) | startOffset
andEndOffset: |  | (gint) | endOffset

-(void*)selectRegionWithStartOffset:(gint) startOffset andEndOffset:(gint) endOffset;

Parameters

  startOffset |
  endOffset |

Definition at line 185 of file CGTKLabel.m.

## ◆ setAngle:()

- (void) setAngle: |  | (gdouble) | angle |

-(void*)setAngle: angle;

Parameters

  angle |

Definition at line 190 of file CGTKLabel.m.

## ◆ setAttributes:()

- (void) setAttributes: |  | (PangoAttrList*) | attrs |

-(void*)setAttributes: attrs;

Parameters

  attrs |

Definition at line 195 of file CGTKLabel.m.

## ◆ setEllipsize:()

- (void) setEllipsize: |  | (PangoEllipsizeMode) | mode |

-(void*)setEllipsize: mode;

Parameters

  mode |

Definition at line 200 of file CGTKLabel.m.

## ◆ setJustify:()

- (void) setJustify: |  | (GtkJustification) | jtype |

-(void*)setJustify: jtype;

Parameters

  jtype |

Definition at line 205 of file CGTKLabel.m.

## ◆ setLabel:()

- (void) setLabel: |  | (NSString*) | str |

-(void*)setLabel: str;

Parameters

  str |

Definition at line 210 of file CGTKLabel.m.

## ◆ setLines:()

- (void) setLines: |  | (gint) | lines |

-(void*)setLines: lines;

Parameters

  lines |

Definition at line 225 of file CGTKLabel.m.

## ◆ setLineWrap:()

- (void) setLineWrap: |  | (BOOL) | wrap |

-(void*)setLineWrap: wrap;

Parameters

  wrap |

Definition at line 215 of file CGTKLabel.m.

## ◆ setLineWrapMode:()

- (void) setLineWrapMode: |  | (PangoWrapMode) | wrapMode |

-(void*)setLineWrapMode: wrapMode;

Parameters

  wrapMode |

Definition at line 220 of file CGTKLabel.m.

## ◆ setMarkup:()

- (void) setMarkup: |  | (NSString*) | str |

-(void*)setMarkup: str;

Parameters

  str |

Definition at line 230 of file CGTKLabel.m.

## ◆ setMarkupWithMnemonic:()

- (void) setMarkupWithMnemonic: |  | (NSString*) | str |

-(void*)setMarkupWithMnemonic: str;

Parameters

  str |

Definition at line 235 of file CGTKLabel.m.

## ◆ setMaxWidthChars:()

- (void) setMaxWidthChars: |  | (gint) | nchars |

-(void*)setMaxWidthChars: nchars;

Parameters

  nchars |

Definition at line 240 of file CGTKLabel.m.

## ◆ setMnemonicWidget:()

- (void) setMnemonicWidget: |  | (CGTKWidget*) | widget |

-(void*)setMnemonicWidget: widget;

Parameters

  widget |

Definition at line 245 of file CGTKLabel.m.

## ◆ setPattern:()

- (void) setPattern: |  | (NSString*) | pattern |

-(void*)setPattern: pattern;

Parameters

  pattern |

Definition at line 250 of file CGTKLabel.m.

## ◆ setSelectable:()

- (void) setSelectable: |  | (BOOL) | setting |

-(void*)setSelectable: setting;

Parameters

  setting |

Definition at line 255 of file CGTKLabel.m.

## ◆ setSingleLineMode:()

- (void) setSingleLineMode: |  | (BOOL) | singleLineMode |

-(void*)setSingleLineMode: singleLineMode;

Parameters

  singleLineMode |

Definition at line 260 of file CGTKLabel.m.

## ◆ setText:()

- (void) setText: |  | (NSString*) | str |

-(void*)setText: str;

Parameters

  str |

Definition at line 265 of file CGTKLabel.m.

## ◆ setTextWithMnemonic:()

- (void) setTextWithMnemonic: |  | (NSString*) | str |

-(void*)setTextWithMnemonic: str;

Parameters

  str |

Definition at line 270 of file CGTKLabel.m.

## ◆ setTrackVisitedLinks:()

- (void) setTrackVisitedLinks: |  | (BOOL) | trackLinks |

-(void*)setTrackVisitedLinks: trackLinks;

Parameters

  trackLinks |

Definition at line 275 of file CGTKLabel.m.

## ◆ setUseMarkup:()

- (void) setUseMarkup: |  | (BOOL) | setting |

-(void*)setUseMarkup: setting;

Parameters

  setting |

Definition at line 280 of file CGTKLabel.m.

## ◆ setUseUnderline:()

- (void) setUseUnderline: |  | (BOOL) | setting |

-(void*)setUseUnderline: setting;

Parameters

  setting |

Definition at line 285 of file CGTKLabel.m.

## ◆ setWidthChars:()

- (void) setWidthChars: |  | (gint) | nchars |

-(void*)setWidthChars: nchars;

Parameters

  nchars |

Definition at line 290 of file CGTKLabel.m.

## ◆ setXalign:()

- (void) setXalign: |  | (gfloat) | xalign |

-(void*)setXalign: xalign;

Parameters

  xalign |

Definition at line 295 of file CGTKLabel.m.

## ◆ setYalign:()

- (void) setYalign: |  | (gfloat) | yalign |

-(void*)setYalign: yalign;

Parameters

  yalign |

Definition at line 300 of file CGTKLabel.m.

The documentation for this class was generated from the following files:

- CGTKLabel.h
- CGTKLabel.m